Bug 45178 - Maintainer update: net/spread
Summary: Maintainer update: net/spread
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-11-10 00:40 UTC by Joshua Goodall
Modified: 2002-12-11 06:00 UTC (History)
0 users

See Also:


Attachments
file.shar (13.71 KB, text/plain)
2002-11-10 00:40 UTC, Joshua Goodall
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Joshua Goodall 2002-11-10 00:40:01 UTC
This is the long-awaited maintainer update of the net/spread port.

* Following upstream release 3.17.0 (bugfixes and autoconf'd)
* Installs a shlib rather than a .a
* Tools now dynamically linked
* New rc.d script
* Java library split out into a new port (to follow shortly)
* 3.17.0 library is not backwards compatible with 3.16.2

Structurally a great deal has changed.  I'm therefore sending this as
a sharball rather than a diff (the diff would be larger and harder to
read).

Committer please note: the following files are added (A) or removed (R)

R files/patch-FreeBSD_makefile
R files/patch-arch.h
R files/patch-data_link.c
R files/patch-session.c
A files/patch-Makefile.in
A files/patch-auth-ip.c
A files/patch-auth-pword.c
A files/patch-spread.c
A files/spread.sh

Please also put the source distribution in a MASTER_SITE_LOCAL subdir and
update the Makefile (around XXX) appropriately.  The upstream does not
prohibit distribution; unfortunately their standard download requires a
click-through.

Committing this also closes PR ports/44002.

TIA
Joshua.
Comment 1 Edwin Groothuis freebsd_committer 2002-11-16 22:31:00 UTC
State Changed
From-To: open->closed

Commited, thanks. 
Instead of fetching the distfile from your site, I have, because 
of their download restrictions, not put in a MASTER_SITE but let 
the user know about the download site and tell him what to do.
Comment 2 Joshua Goodall 2002-12-04 23:24:12 UTC
On Sun, Nov 17, 2002 at 05:14:50PM +1100, Joshua Goodall wrote:
> On Sun, Nov 17, 2002 at 01:58:32PM +1100, Edwin Groothuis wrote:
> > The reason why I put it in was because there is no way I can download
> > this file from the official site without having fill in a form.
> > Although I understand your effort in making it downloadable via
> > alternative channels (which makes it easier for automatic checking
> > et al), I don't think it's fair to the original authors who wanted
> > to have this limitation.
> 
> I'm not sure they're too sensitive about it.  I'd like to have
> Spread continue to appear as a package, so I'll ask the authors
> directly (they don't bite :)) if they're comfortable with external
> distribution for our purposes (as their license implies).

Hi,

Please consider the following an acceptance by the authors, and set
MASTER_SITES=	http://www.roughtrade.net/distfiles/
accordingly! (and remove the IGNORE=)

I believe such a commit will be in line with the current freeze
exception.

There is a performance issue with spread on 5.0 which I will need
to resolve shortly, but I think this needs to go in ASAP.

Secondly, what happened to the split Java library port ?
It desperately wanted to be committed with the maintainer update,
because the previous port had it "built in".  Can we obtain a 
special dispensation ?

Regards,
Joshua.

On Tue, Dec 03, 2002 at 09:32:34AM -0500, Jonathan Stanton wrote:
> I can tell you that we have decided to offer the download like you
> describe. I just won't be able to have it up realistically until next
> week as I'm out of town all day thursday and friday.
>
> If you can host it until then, if that is needed I'd appreciate it. Is
> this what you need?
>
> Jonathan
>
> On Tue, Dec 03, 2002 at 06:29:28PM +1100, Joshua Goodall wrote:
> > On Sat, Nov 30, 2002 at 11:24:49AM -0500, Jonathan Stanton wrote:
> > > Ok. We would like to encourage Spread's inclusion in OS distributions --
> > > Even if we don't know about them it gets it out to lots of people and if
> > > they use it, they will come to our website anyway for updates and
> > > information. I'm also hoping to get a 3.17.1 out in the next week or so,
> > > so I'll try to make the new download available at the same time. Does
> > > that work for you?
> >
> > I know I'm spamming you here :) but... FreeBSD 5.0 just entered
> > "ports freeze", pending the release intended for Dec 15.  If we can
> > get it to autobuild very soon (via an open download) then a Spread
> > binary package will be included in FreeBSD 5.0-RELEASE.
> >
> > If it's ok with you I can temporarily host the tarball, but I need a
> > definite acceptance before the Project will ok it.
> >
> > Joshua.
>
> --
> -------------------------------------------------------
> Jonathan R. Stanton         jonathan@cs.jhu.edu
> Dept. of Computer Science
> Johns Hopkins University
> -------------------------------------------------------

To Unsubscribe: send mail to majordomo@FreeBSD.org
with "unsubscribe freebsd-ports" in the body of the message